#include <bits/stdc++.h>

using namespace std;

string Max(string a, string b, string c)
{
	return max(max(max(a+b+c, a+c+b), max(b+a+c, b+c+a)), max(c+a+b, c+b+a));
}

int main()
{
	string a, b, c;
	cin >> a >> b >> c;
	cout << Max(a, b, c) << endl;
	return 0;
}